---
title: Create new saved logo queries from image files
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Brand Protection](https://developers.cloudflare.com/api/go/resources/brand_protection)

[Logos](https://developers.cloudflare.com/api/go/resources/brand_protection/subresources/logos)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create new saved logo queries from image files

client.BrandProtection.Logos.New(ctx, params) (\*[LogoNewResponse](<https://developers.cloudflare.com/api/go/resources/brand_protection#(resource)%20brand_protection.logos%20%3E%20(model)%20LogoNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/brand-protection/logos

Return new saved logo queries created from image files

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write`

##### ParametersExpand Collapse

<details>

<summary>

params LogoNewParams

</summary>

AccountID param.Field\[string]

Path param

minLength1

<a href="#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

MatchType param.Field\[string]Optional

Query param

<a href="#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20match_type">Link to this property</a>

Tag param.Field\[string]Optional

Query param

<a href="#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tag">Link to this property</a>

Threshold param.Field\[float64]Optional

Query param

<a href="#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20threshold">Link to this property</a>

Image param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/brand_protection/subresources/logos/methods/create#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20image%20%3E%20(schema)">Reader</a>]Optional

Body param

<a href="#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20image">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LogoNewResponse struct{…}

</summary>

ID int64Optional

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20LogoNewResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Tag stringOptional

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20LogoNewResponse%20%3E%20(schema)%20%3E%20(property)%20tag">Link to this property</a>

UploadPath stringOptional

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20LogoNewResponse%20%3E%20(schema)%20%3E%20(property)%20upload_path">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(model)%20LogoNewResponse%20%3E%20(schema)>)

### Create new saved logo queries from image files

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  logo, err := client.BrandProtection.Logos.New(context.TODO(), brand_protection.LogoNewParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", logo.ID)
}
```

200 example

```
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
```

##### Returns Examples

200 example

```
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
```